Package org.apache.catalina.authenticator

## Class SpnegoAuthenticator.AcceptAction

- java.lang.Object
- - org.apache.catalina.authenticator.SpnegoAuthenticator.AcceptAction

- All Implemented Interfaces:
    `java.security.PrivilegedExceptionAction<byte[]>`
  Enclosing class:
    SpnegoAuthenticator

      public static class SpnegoAuthenticator.AcceptAction
      extends java.lang.Object
      implements java.security.PrivilegedExceptionAction<byte[]>

  This class gets a gss credential via a privileged action.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AcceptAction​(org.ietf.jgss.GSSContext context, byte[] decodedToken)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptAction

          public AcceptAction​(org.ietf.jgss.GSSContext context,
                              byte[] decodedToken)

  - ### Method Detail

    - #### run

          public byte[] run()
                     throws org.ietf.jgss.GSSException

      Specified by:
        `run` in interface `java.security.PrivilegedExceptionAction<byte[]>`
      Throws:
        `org.ietf.jgss.GSSException`